<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:56 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Constant Field Values (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#towerwarspp.board">towerwarspp.board.*</a></li>
<li><a href="#towerwarspp.io">towerwarspp.io.*</a></li>
<li><a href="#towerwarspp.main">towerwarspp.main.*</a></li>
<li><a href="#towerwarspp.network">towerwarspp.network.*</a></li>
<li><a href="#towerwarspp.player">towerwarspp.player.*</a></li>
<li><a href="#towerwarspp.preset">towerwarspp.preset.*</a></li>
</ul>
</div>
<div class="constantValuesContainer"><a name="towerwarspp.board">
<!--   -->
</a>
<h2 title="towerwarspp.board">towerwarspp.board.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>towerwarspp.board.<a href="towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="towerwarspp.board.Board.DEFENCE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="towerwarspp/board/Board.html#DEFENCE">DEFENCE</a></code></td>
<td class="colLast"><code>-5000</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="towerwarspp.board.Board.DEFEND">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="towerwarspp/board/Board.html#DEFEND">DEFEND</a></code></td>
<td class="colLast"><code>5000</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="towerwarspp.board.Board.LOSE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="towerwarspp/board/Board.html#LOSE">LOSE</a></code></td>
<td class="colLast"><code>-2147483648</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="towerwarspp.board.Board.WIN">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="towerwarspp/board/Board.html#WIN">WIN</a></code></td>
<td class="colLast"><code>2147483647</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="towerwarspp.io">
<!--   -->
</a>
<h2 title="towerwarspp.io">towerwarspp.io.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>towerwarspp.io.<a href="towerwarspp/io/TextIO.html" title="class in towerwarspp.io">TextIO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="towerwarspp.io.TextIO.ANSI_BLUE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="towerwarspp/io/TextIO.html#ANSI_BLUE">ANSI_BLUE</a></code></td>
<td class="colLast"><code>"\u001b[34m"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="towerwarspp.io.TextIO.ANSI_CYAN">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="towerwarspp/io/TextIO.html#ANSI_CYAN">ANSI_CYAN</a></code></td>
<td class="colLast"><code>"\u001b[36m"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="towerwarspp.io.TextIO.ANSI_PURPLE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="towerwarspp/io/TextIO.html#ANSI_PURPLE">ANSI_PURPLE</a></code></td>
<td class="colLast"><code>"\u001b[35m"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="towerwarspp.io.TextIO.ANSI_RED">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="towerwarspp/io/TextIO.html#ANSI_RED">ANSI_RED</a></code></td>
<td class="colLast"><code>"\u001b[31m"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="towerwarspp.io.TextIO.ANSI_RESET">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="towerwarspp/io/TextIO.html#ANSI_RESET">ANSI_RESET</a></code></td>
<td class="colLast"><code>"\u001b[0m"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="towerwarspp.io.TextIO.ANSI_WHITE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="towerwarspp/io/TextIO.html#ANSI_WHITE">ANSI_WHITE</a></code></td>
<td class="colLast"><code>"\u001b[37m"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="towerwarspp.io.TextIO.ANSI_YELLOW">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="towerwarspp/io/TextIO.html#ANSI_YELLOW">ANSI_YELLOW</a></code></td>
<td class="colLast"><code>"\u001b[33m"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="towerwarspp.main">
<!--   -->
</a>
<h2 title="towerwarspp.main">towerwarspp.main.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>towerwarspp.main.<a href="towerwarspp/main/AgeOfTowers.html" title="class in towerwarspp.main">AgeOfTowers</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="towerwarspp.main.AgeOfTowers.BLUE">
<!--   -->
</a><code>private&nbsp;final&nbsp;int</code></td>
<td><code><a href="towerwarspp/main/AgeOfTowers.html#BLUE">BLUE</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="towerwarspp.main.AgeOfTowers.RED">
<!--   -->
</a><code>private&nbsp;final&nbsp;int</code></td>
<td><code><a href="towerwarspp/main/AgeOfTowers.html#RED">RED</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>towerwarspp.main.game.<a href="towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="towerwarspp.main.game.Save.BLUE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;boolean</code></td>
<td><code><a href="towerwarspp/main/game/Save.html#BLUE">BLUE</a></code></td>
<td class="colLast"><code>false</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="towerwarspp.main.game.Save.RED">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;boolean</code></td>
<td><code><a href="towerwarspp/main/game/Save.html#RED">RED</a></code></td>
<td class="colLast"><code>true</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>towerwarspp.main.tournament.<a href="towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament">TResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="towerwarspp.main.tournament.TResult.BLUE">
<!--   -->
</a><code>private&nbsp;final&nbsp;short</code></td>
<td><code><a href="towerwarspp/main/tournament/TResult.html#BLUE">BLUE</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="towerwarspp.main.tournament.TResult.RED">
<!--   -->
</a><code>private&nbsp;final&nbsp;short</code></td>
<td><code><a href="towerwarspp/main/tournament/TResult.html#RED">RED</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="towerwarspp.network">
<!--   -->
</a>
<h2 title="towerwarspp.network">towerwarspp.network.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>towerwarspp.network.<a href="towerwarspp/network/Remote.html" title="class in towerwarspp.network">Remote</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="towerwarspp.network.Remote.DEFAULT_PORT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="towerwarspp/network/Remote.html#DEFAULT_PORT">DEFAULT_PORT</a></code></td>
<td class="colLast"><code>1099</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="towerwarspp.player">
<!--   -->
</a>
<h2 title="towerwarspp.player">towerwarspp.player.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>towerwarspp.player.<a href="towerwarspp/player/Adv2Player.html" title="class in towerwarspp.player">Adv2Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="towerwarspp.player.Adv2Player.DEF_PARALLELIZATION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="towerwarspp/player/Adv2Player.html#DEF_PARALLELIZATION">DEF_PARALLELIZATION</a></code></td>
<td class="colLast"><code>8</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="towerwarspp.player.Adv2Player.DEF_TIME_PER_MOVE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;long</code></td>
<td><code><a href="towerwarspp/player/Adv2Player.html#DEF_TIME_PER_MOVE">DEF_TIME_PER_MOVE</a></code></td>
<td class="colLast"><code>2000L</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>towerwarspp.player.mcts.<a href="towerwarspp/player/mcts/Mcts.html" title="class in towerwarspp.player.mcts">Mcts</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="towerwarspp.player.mcts.Mcts.DEF_BIAS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;double</code></td>
<td><code><a href="towerwarspp/player/mcts/Mcts.html#DEF_BIAS">DEF_BIAS</a></code></td>
<td class="colLast"><code>2.0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="towerwarspp.player.mcts.Mcts.DEF_SCORE">
<!--   -->
</a><code>static&nbsp;final&nbsp;int</code></td>
<td><code><a href="towerwarspp/player/mcts/Mcts.html#DEF_SCORE">DEF_SCORE</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="towerwarspp.preset">
<!--   -->
</a>
<h2 title="towerwarspp.preset">towerwarspp.preset.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>towerwarspp.preset.<a href="towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="towerwarspp.preset.Move.serialVersionUID">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;long</code></td>
<td><code><a href="towerwarspp/preset/Move.html#serialVersionUID">serialVersionUID</a></code></td>
<td class="colLast"><code>1L</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>towerwarspp.preset.<a href="towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="towerwarspp.preset.Position.serialVersionUID">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;long</code></td>
<td><code><a href="towerwarspp/preset/Position.html#serialVersionUID">serialVersionUID</a></code></td>
<td class="colLast"><code>1L</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
